#include <algorithm>
#include <iostream>
#include <string>
#include <vector>

struct Log_entry {
	std::int64_t timestamp;
	std::string  source;
	std::string  message;
};
// TODO

int main() {
	auto logs = std::vector<Log_entry> {
		Log_entry{1, "SYSTEM", "System startet"},
		Log_entry{2, "APP", "Received request"},
		Log_entry{3, "UI", "Button pressed"},
		Log_entry{3, "SYSTEM", "Please do not press this button again"},
		Log_entry{6, "SYSTEM", "Terminated"}
	};
		
	std::cout << "System?   : " << count_system_entries(logs) << "\n";
	std::cout << "Requests? : " << contains(logs, "request") << "\n";
	
	remove_old_entries(logs, 3);
	std::cout << "Requests? : " << contains(logs, "request") << "\n\n";
	
	for(auto& entry : logs) {
		std::cout << entry.timestamp << " [" << entry.source << "] "
		          << entry.message << "\n";
	}
}

