#include <iostream>
#include <numeric>

class Fraction {
  public:
	// TODO
	
	friend std::ostream& operator<<(std::ostream& out, const Fraction& frac) {
		auto simple = frac.simplified();
		out << simple.numerator_ << "/" << simple.denominator_;
		return out;
	}

  private:
	// TODO
};
  
int main() {
	auto x = Fraction{1, 2};
	auto y = Fraction{2, 5};

	std::cout << "       x        = " <<  x << "\n";
	std::cout << "      -x        = " << -x << "\n";
	std::cout << " x.reciprocal() = " << x.reciprocal() << "\n";
	std::cout << "     21/28      = " << Fraction{21, 28}.simplified() << "\n\n";
	
	std::cout << "x + y = " << (x + y) << "\n";
	std::cout << "x - y = " << (x - y) << "\n";
	std::cout << "x * y = " << (x * y) << "\n";
	std::cout << "x / y = " << (x / y) << "\n";
	std::cout << "x / 2 = " << (x / 2) << "\n";
}

